Linked Questions

Popular Questions

React-native-svg usage issue with Expo v30.0

Asked by At

Expo 30 ships with react-native-svg, so you are not supposed to directly rely on react-native-svg, but instead use the SVG component exported by Expo instead.

See - https://github.com/react-native-community/react-native-svg/issues/591#issuecomment-451729948

However, I am having issues where a package I rely on, react-native-svg-charts, uses react-native-svg. React-native-svg is listed as a peer dependency of react-native-svg-charts, but yet I get the following error after upgrading to Expo 30:

“Unable to resolve module react-native-svg from ‘…/node_modules/react-native-svg-charts/…’”

I'm unsure what to do?

Related Questions